/api/clients/{id}/approval-requests (POST)
POST
/api/clients/{id}/approval-requests
const url = 'https://example.com/api/clients/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/approval-requests';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"periodStart":"2026-04-15","periodEnd":"2026-04-15","projectIds":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"showTaskDetail":true,"showAmounts":true,"contactIds":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"adHocEmails":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/clients/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/approval-requests \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "periodStart": "2026-04-15", "periodEnd": "2026-04-15", "projectIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "showTaskDetail": true, "showAmounts": true, "contactIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "adHocEmails": [ "example" ] }'Authorizations
Section intitulée « Authorizations »Parameters
Section intitulée « Parameters »Path Parameters
Section intitulée « Path Parameters » id
required
string format: uuid
Request Body required
Section intitulée « Request Body required » Media type application/json
object
periodStart
string format: date
periodEnd
string format: date
projectIds
Array<string>
showTaskDetail
boolean
showAmounts
boolean
contactIds
Array<string>
adHocEmails
Array<string>
Example generated
{ "periodStart": "2026-04-15", "periodEnd": "2026-04-15", "projectIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "showTaskDetail": true, "showAmounts": true, "contactIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "adHocEmails": [ "example" ]}Responses
Section intitulée « Responses »OK